Loading...
Searching...
No Matches
pappso::specpeptidoms::SpOMSProtein Class Reference

`#include <spomsprotein.h>`

Inheritance diagram for pappso::specpeptidoms::SpOMSProtein:

## Public Member Functions

| SpOMSProtein (const QString &description, const QString &sequence, const AaCode &aa_code)
virtual | ~SpOMSProtein ()
const QString | getAccession () const
const QString & | getCompleteDescription () const
const QString & | getSequence () const
std::vector< SpOMSAa > | sliced (std::size_t position, std::size_t length) const

## Private Attributes

QString | m_description
QString | m_sequence

## Detailed Description

Definition at line 37 of file spomsprotein.h.

## Constructor & Destructor Documentation

## SpOMSProtein()

pappso::specpeptidoms::SpOMSProtein::SpOMSProtein | ( | const QString & | description,
|  | const QString & | sequence,
|  | const AaCode & | aa_code )

Definition at line 26 of file spomsprotein.cpp.

: m_description(description), m_sequence(sequence)
{
clear();
SpOMSAa aa;
for(const QChar &aa_str : m_sequence)
{
aa.aa = (pappso::Enums::AminoAcidChar)aa_str.toLatin1();
aa.code = aa_code.getAaCode(aa.aa);
aa.mass = aa_code.getMass(aa.code);
push_back(aa);
}
// by default the sequence is reversed
std::reverse(begin(), end());
}
pappso::specpeptidoms::SpOMSProtein::m_description
QString m_description
Definition spomsprotein.h:52
pappso::specpeptidoms::SpOMSProtein::m_sequence
QString m_sequence
Definition spomsprotein.h:53
pappso::Enums::AminoAcidChar
AminoAcidChar
Definition types.h:196
pappso::masschroq::PeakQualityCategory::aa
@ aa
best possible : more than one direct MS2 fragmentation in same MSRUN
Definition types.h:45

References pappso::AaCode::getAaCode(), pappso::AaCode::getMass(), m_description, and m_sequence.

## ~SpOMSProtein()

pappso::specpeptidoms::SpOMSProtein::~SpOMSProtein | ( |  | ) |

virtual

Definition at line 47 of file spomsprotein.cpp.

{
}

## Member Function Documentation

## getAccession()

const QString pappso::specpeptidoms::SpOMSProtein::getAccession | ( |  | ) | const

Definition at line 52 of file spomsprotein.cpp.

{
return m_description.split(" ").at(0);
}

References m_description.

Referenced by pappso::cbor::psm::PsmSpecPeptidOmsScan::sequenceAlignment().

## getCompleteDescription()

const QString & pappso::specpeptidoms::SpOMSProtein::getCompleteDescription | ( |  | ) | const

Definition at line 65 of file spomsprotein.cpp.

{
return m_description;
}

References m_description.

## getSequence()

const QString & pappso::specpeptidoms::SpOMSProtein::getSequence | ( |  | ) | const

Definition at line 58 of file spomsprotein.cpp.

{
return m_sequence;
}

References m_sequence.

Referenced by pappso::specpeptidoms::SemiGlobalAlignment::correctAlign(), pappso::specpeptidoms::SemiGlobalAlignment::preciseAlign(), and pappso::cbor::psm::PsmSpecPeptidOmsScan::sequenceAlignment().

## sliced()

std::vector< SpOMSAa > pappso::specpeptidoms::SpOMSProtein::sliced | ( | std::size_t | position,
|  | std::size_t | length ) const

Definition at line 71 of file spomsprotein.cpp.

{
std::vector<SpOMSAa> aa_vec;
for(std::size_t i = 0; i < length; i++)
{
aa_vec.push_back(at(i + position));
}
return aa_vec;
}

Referenced by pappso::specpeptidoms::SemiGlobalAlignment::saveBestAlignment().

## Member Data Documentation

## m_description

QString pappso::specpeptidoms::SpOMSProtein::m_description

private

Definition at line 52 of file spomsprotein.h.

Referenced by SpOMSProtein(), getAccession(), and getCompleteDescription().

## m_sequence

QString pappso::specpeptidoms::SpOMSProtein::m_sequence

private

Definition at line 53 of file spomsprotein.h.

Referenced by SpOMSProtein(), and getSequence().

The documentation for this class was generated from the following files:

- pappsomspp/core/processing/specpeptidoms/spomsprotein.h
- pappsomspp/core/processing/specpeptidoms/spomsprotein.cpp